#include <ESP8266WebServer.h>

#define pin_1 4
#define pin_2 5

const char *ssid = "BP Jan Cech";
const char *password = "heslo123";
const char *key = "klic123";

ESP8266WebServer server(80);

void setup() {
  Serial.begin(9600);

  pinMode(pin_1, OUTPUT);
  pinMode(pin_2, OUTPUT);

  //vypnuti relatek
  digitalWrite(pin_1,HIGH);
  digitalWrite(pin_2,HIGH);

  startWifi();
}

void loop() {
  server.handleClient();
}

void startWifi(void)
{
  WiFi.softAP(ssid, password);
  IPAddress ipAddress = WiFi.softAPIP();
  
  server.on("/", [ = ](void) {
    return handleRoot();
  });

  server.begin();
}

void handleRoot() {
  String request = server.arg("req");
  String requestKey = server.arg("key");

  if(requestKey != key) {
    server.send(200, "text/text", "Invalid key"); // code, type, string
    return;
  }

  if(request == "1on") {
    turnOn(pin_1);
  }
  else if(request == "1off") {
    turnOff(pin_1);
  }
  else if(request == "2on") {
    turnOn(pin_2);
  }
  else if(request == "2off") {
    turnOff(pin_2);
  }
  
  server.send(200, "text/text", "Success"); // code, type, string
}

void turnOn(int pin) {
   digitalWrite(pin,LOW); 
}

void turnOff(int pin) {
   digitalWrite(pin,HIGH);
}

